man(7)

NAME
cgalmesh - 3D mesh generation from volumetric image

SYNOPSIS
cgalmesh input.inr output.mesh <angle|30> <surf-size|6> <approx|4> <rad-edge-ratio|3> <tetra-size|8> <randomseed|-1>

DESCRIPTION
The cgalmesh utility is a volume-to-tetrahedral-mesh converter based on the CGAL library (http://cgal.org). This utility is capable of reading a binary, multi-labled or gray-scale based 3D volumetric image and output a tetrahedral mesh conforming to the volume, with each region labeled correspondingly to the volume labels.

Please see https://doc.cgal.org/latest/Mesh_3/ for details regarding the underlying algorithm.

OPTIONS
This program accepts the following input parameters:

input.inr|(required)
    The input data file in the INR format

output.mesh|(required)
    The output mesh file in the MEDIT format

angle|(optional, default: 30)
    Lower-bound of the angles (in degree) in surface triangles

surf-size|(optional, default: 6)
    Lower-bound of the edge-length (in voxel unit) in surface triangles

approx|(optional, default: 4)
    Upper-bound of the deviation distance (in voxel unit) of the surface triangles to the voxelated boundaries

rad-edge-ratio|(optional, default: 3)
    Upper-bound of the radius-to-edge ratio of the surface triangles

tetra-size|(optional, default: 8)
    Lower-bound of the tetrahedron volume (in voxel^3) of the 3D mesh

randomseed|(optional, default: -1)
    Random number generator seed (large positive integer, -1 to use system clock)

SEE ALSO
cgalsurf(7), cgalsimp2(7), cgalpoly(7), cork(7), meshfix(7), jmeshlib(7)

AUTHOR
Qianqian Fang (fangqq@gmail.com) and Peter Varga